/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

export { getFlattenedObject } from '@kbn/std';

export type {
  PackagePolicyValidationResults,
  PackagePolicyConfigValidationResults,
  PackagePolicyInputValidationResults,
} from '../../common';
export {
  AgentStatusKueryHelper,
  agentPolicyRouteService,
  packagePolicyRouteService,
  dataStreamRouteService,
  fleetSetupRouteService,
  agentRouteService,
  enrollmentAPIKeyRouteService,
  epmRouteService,
  setupRouteService,
  outputRoutesService,
  settingsRoutesService,
  appRoutesService,
  packageToPackagePolicy,
  packageToPackagePolicyInputs,
  storedPackagePoliciesToAgentInputs,
  fullAgentPolicyToYaml,
  isPackageLimited,
  doesAgentPolicyAlreadyIncludePackage,
  isValidNamespace,
  LicenseService,
  isAgentUpgradeable,
  doesPackageHaveIntegrations,
  validatePackagePolicy,
  validatePackagePolicyConfig,
  validationHasErrors,
  countValidationErrors,
  getStreamsForInputType,
} from '../../common';

export * from './pkg_key_from_package_info';
export * from './ui_extensions';
